## org.eclipse.amp.amf.sd
Interface SdGeneratable

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SdNamedElement

All Known Subinterfaces:
  SdAbstractVariable, SdAuxVariable, SdConnector, SdEquationVariable, SdFlowVariable, SdModel, SdStockVariable

All Known Implementing Classes:
  SdAbstractVariableImpl, SdAuxVariableImpl, SdConnectorImpl, SdEquationVariableImpl, SdFlowVariableImpl, SdGeneratableImpl, SdModelImpl, SdModelImplGeneratedNot, SdStockVariableImpl

    public interface SdGeneratable

extends SdNamedElement

A representation of the model object 'Generatable'.

See Also:
  `SdPackage.getSdGeneratable()`

Method Summary

Methods inherited from interface org.eclipse.amp.amf.sd.SdNamedElement
`getComment, getName, setComment, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`